Subject: Opsdir last call review of draft-ietf-acme-ip-06

From: Tim Chown via Datatracker <[email-masked]>
Date: Mon, 22 Jul 2019 00:06:55 -0700

Reviewer: Tim Chown
Review result: Ready

I have reviewed this document as part of the Operational directorate's ongoing
effort to review all IETF documents being processed by the IESG.  These
comments were written with the intent of improving the operational aspects of
the IETF drafts. Comments that are not addressed in last call may be included
in AD reviews during the IESG review.  Document editors and WG chairs should
treat these comments just like any other last call comments.

The draft defines the identifiers and challenges required to enable ACME to
issue certificates for IP addresses. RFC8555 only defines challenges for DNS
host names with identifier type "dns"; this document describes how challenges
defined in the original ACME specification can be used to support validation of
IPv4 and IPv6 addresses using identifier type "ip".  The document also covers
use of the TLS-ALPN challenge.

The document is written clearly and ready to be advanced.